Subject: Re: linux-next: build failure after merge of the bitmap tree

From: Yury Norov <[email-masked]>
Date: Fri, 20 Oct 2023 05:33:15 -0700

On Fri, Oct 20, 2023 at 03:51:13PM +1100, Stephen Rothwell wrote:
> Hi Yury,
> 
> On Thu, 19 Oct 2023 21:24:49 -0700 Yury Norov <[email-masked]> wrote:
> >
> > On Thu, Oct 19, 2023 at 08:58:24AM -0700, Yury Norov wrote:
> > > On Thu, Oct 19, 2023 at 05:01:06PM +1100, Stephen Rothwell wrote:  
> > > > 
> > > > After merging the bitmap tree, today's linux-next build (native perf)
> > > > failed like this:
> > > > 
> > > > In file included from /home/sfr/next/next/tools/perf/util/header.h:10,
> > > >                  from /home/sfr/next/perf/pmu-events/pmu-events.c:3:
> > > > /home/sfr/next/next/tools/include/linux/bitmap.h:5:10: fatal error: linux/align.h: No such file or directory
> > > >     5 | #include <linux/align.h>
> > > >       |          ^~~~~~~~~~~~~~~
> > > > 
> > > > Caused by commit
> > > > 
> > > >   ed46ac8199f0 ("bitmap: introduce generic optimized bitmap_size()")
> > > > 
> > > > I have used the bitmap tree from next-20231018 for today.  
> > > 
> > > Thanks, Stephen. I'll take a look and let you know when it's resolved.  
> > 
> > So the problem is that the patch "bitmap: introduce generic optimized
> > bitmap_size()" adds reference to the linux/align.h, which doesn't exist
> > in tools.
> > 
> > I removed tools part of the patch entirely, and now tools/perf, for
> > example, builds OK for me natively. The tree doesn't touch tools at
> > all now, except for moving BYTES_TO_BITS() from a source file to a
> > header, which looks safe.
> 
> Almost - see my other email.
> 
> > Can you please try the latest bitmap-for-next?
> 
> See above.
> 
> My "native" is PowerPC 64 LE.

I tried arm64. Anyways, it's clear that the series is not ready yet.
I'll drop it from bitmap_for_next. Sorry for this mess.